> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-mitki/25.-mutaciya-zberegti-note-prikriplenu-do-field.md).

# 25. Мутація: Зберегти "Note", прикріплену до "Field"

Ця мутація дозволяє прикріпити примітку до вказаного поля.

* Нотатку можна пов’язати з Полем через її унікальний ідентифікатор `fieldUuid`.&#x20;
* Координату Нотатки можна задати за допомогою `centroid` атрибуту, що вимагає вказаних `latitude` та `longitude` значень.&#x20;
* Тип Нотатки можна вказати за допомогою `тип` атрибуту з допустимими значеннями `PLANNED` або `REAL`.&#x20;
* Опис Нотатки можна надати за допомогою `comment` атрибуту. Якщо опис має бути багаторядковим, `comment` атрибут повинен містити рядок з символами нового рядка `\\n` щоб розділяти рядки. Наприклад: `"Перший рядок тут\\nДругий рядок тут.\\nТретій рядок тут."`.

Приклади запитів можна знайти нижче:

```graphql
мутація SaveNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    тип: PLANNED,
    коментар: "Тестова примітка, прикріплена до поля"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСтворення
    updatedDate
    тип
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація SaveMultiLineNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    тип: PLANNED,
    коментар: "Перший рядок. тут\\nДругий рядок тут.\\nТретій рядок тут."
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСтворення
    updatedDate
    тип
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-mitki/25.-mutaciya-zberegti-note-prikriplenu-do-field.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
